Subject: RE: When should we release Git 3.0?

From: <[email-masked]>
Date: Wed, 8 Oct 2025 17:55:03 -0400

On October 8, 2025 5:45 PM, Taylor Blau wrote:
>On Wed, Oct 01, 2025 at 03:31:54PM -0400, [email-masked] wrote:
>> On October 1, 2025 12:05 PM, Taylor Blau wrote:
>> >On Wed, Oct 01, 2025 at 08:13:12AM +0100, Luca Milanesio wrote:
>> >> I am worried that if we rush into Git 3.0 with breaking changes
>> >> that would make other “forges” (e.g. JGit) incompatible, we would
>> >> be in a difficult situation with the other Git ecosystem that isn’t
>> >> based on the C-Git implementation.
>> >
>> >That's a good point. I am not familiar enough with JGit (or really
>> >any non-standard Git implementations) to know where SHA-256 support
>> >is in those respective implementations.
>>
>> AFAIK, JGit still depends on some core git functions, including gc. It
>> also depends on LFS for those functions. Interop it fairly important
>> in that space.
>
>What are "core git functions" here? I'm not at all familiar with JGit, but my
>understanding is that it doesn't use the Git binary directly whatsoever, so I am not
>sure how the presence of interop support or not would affect JGit or LFS.

I tried doing a JGit gc. It delegates to git. There are other functions.